Subject: [PATCH 2/2] ARM: OMAP3/4: consolidate cpuidle Makefile

From: [email-masked] (Kevin Hilman)
Date: Tue, 08 May 2012 13:44:56 -0700

Daniel Lezcano <[email-masked]> writes:

> Define a CPU_IDLE section in the makefile, declare the functions in
> the header files conforming to the kernel coding rules and remove the
> 'define's in the C files.
>
> CONFIG_PM is enabled when CPU_IDLE is enabled because the cpuidle drivers
> use some functions from the pm subsystem.
>
> Signed-off-by: Daniel Lezcano <[email-masked]>
> Reviewed-by: Jean Pihet <[email-masked]>

The changelog doesn't really answer "why" this change is needed.  IOW, I
don't understand from the changelog exactly what problem this patch is
trying to solve.

AFAICT, it's just shuffling around the dependencies, and changes the
omap*_idle_init() calls into inline nops instead of function call nops.

Kevin